<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Cart;

class Bayiekle extends Component
{
    public $veri;
    public $bayiozellikler;

    public function mount($veri,$bayiozellikler)
    {
        $this->bayipaketler = $veri;
        $this->bayiozellikler=$bayiozellikler;
    }

    public function render()
    {
        return view('livewire.bayiekle');
    }


    public function addToCart($product_id,$product_baslik,$product_fiyat)
    {
        Cart::add($product_id,$product_baslik,1,$product_fiyat,['product_type' => 4])->associate('\App\Models\Bayi_paketler');


        $this->emitTo('sepeticonu','refreshComponent');

        $swalData = [
            'type' => 'success',
            'title' => 'Başarılı',
            'message' => 'Sepete Başarıyla Eklenmiştir, Yönleniyorsuz',
        ];
        $this->dispatchBrowserEvent('islembasarili', $swalData);

        return redirect()->route('cart');

    }

}
